Skip to content
GAMPEONCreate
New project

Mark a channel as read

POST
/v1/communities/{id}/channels/{channelId}/read
curl --request POST \
--url https://api.gampeon.com/v1/communities/1/channels/1/read \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "messageId": 1 }'

Up to messageId (default: the newest message). Never moves backwards.

Not available with access tokens.

id
required
integer
>= 1

Community ID

channelId
required
integer
>= 1

Channel ID

Media typeapplication/json
object
messageId
integer

Example generated

{
"messageId": 1
}

Read state

Media typeapplication/json
object
lastReadId
required
integer

Example generated

{
"lastReadId": 1
}

Error codes: invalid_field

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: unauthorized

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: token_not_allowed

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: not_found

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Report a problem with this pageOther ways to give feedback